Subject: Re: [Editorial Errata Reported] RFC7230 (4050)

From: Barry Leiba <[email-masked]>
Date: Sat, 12 Jul 2014 10:11:28 -0400

> Basically HTTP RFCs seem to prefer "status code" over "response code".
> RFC 7231 Section 6 uses status code or "Response Status Code", but
> rarely uses the term "response code" (though it uses it, once). Some
> technical books actually refer those codes as "response codes". I tend
> to be confused with the mixture of those two terms.

Miyakawa-san, thank you for the report.  You are right: In fact, we
have one instance of "response code" in each of 7230, 7231, and 7232,
and otherwise consistently use "status code" throughout the
six-document set.  These three instances are valid errata.  I will
mark this report "Verified", and I ask you to please also submit
errata reports for RFCs 7231 and 7232 about the use of "response code"
in those documents.

We all understand that it is important to use terminology
consistently, and I think the editors of this complex set of documents
have done a marvelous job of ensuring that we do.  It is a testament
to their good work that we have only a few small errors there.

Barry, Applications AD

On Fri, Jul 11, 2014 at 10:45 PM, RFC Errata System
<[email-masked]> wrote:
> The following errata report has been submitted for RFC7230,
> "Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=7230&eid=4050
>
> --------------------------------------
> Type: Editorial
> Reported by: Daisuke Miyakawa <[email-masked]>
>
> Section: 3.2.4
>
> Original Text
> -------------
> A server MUST reject any received request message that contains
> whitespace between a header field-name and colon with a response code
> of 400 (Bad Request).
>
> Corrected Text
> --------------
> A server MUST reject any received request message that contains
> whitespace between a header field-name and colon with a status code
> of 400 (Bad Request).
>
> Notes
> -----
> Basically HTTP RFCs seem to prefer "status code" over "response code".
> RFC 7231 Section 6 uses status code or "Response Status Code", but
> rarely uses the term "response code" (though it uses it, once). Some
> technical books actually refer those codes as "response codes". I tend
> to be confused with the mixture of those two terms.
>
> Instructions:
> -------------
> This errata is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC7230 (draft-ietf-httpbis-p1-messaging-26)
> --------------------------------------
> Title               : Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing
> Publication Date    : June 2014
> Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
> Category            : PROPOSED STANDARD
> Source              : Hypertext Transfer Protocol Bis
> Area                : Applications
> Stream              : IETF
> Verifying Party     : IESG